import java.util.*;
/**
 * <p>The header node of a posting list. At the minimum the node should
 * contain the term (a word or a phrase) and the document frequency (length
 * of the posting list).</p>
 */

public   class PostingHeader {

    public String term;
    public int docFrequency;
    public ArrayList<PostingNode> postList;

    public PostingHeader(String inTerm, String docName, int termFrequency) {

	this.term = inTerm;
	this.docFrequency = 1;
	this.postList = new ArrayList<PostingNode>();
	PostingNode initNode = new PostingNode(docName, termFrequency);
	this.postList.add(initNode);
    }

    public void incDocFreq() {

	this.docFrequency ++;
    }
}
